Subject: bug#24670: Unexpected EOF reading a line (from guix pull) [forward]

From: ng0 <[email-masked]>
Date: Thu, 13 Oct 2016 12:44:06 +0000

Ricardo Wurmus <[email-masked]> writes:

>> [email-masked] writes:
>>
>>> I'm just sending this to you since I think I might have figured out what is
>>> happening, and I don't know how to respond to bugs via the mailing list.
>>> Instruction on replying to bugs via the mailing list would be quite a help.
>>>
>>> Basically, /var/lib/guix/profiles/per-user/$USER/guix-profile doesn't exist. For
>>> example, on the root account on my machine (I've run guix pull multiple times as
>>> root, and even tried to install icecat as a normal user, plus running guix pull
>>> several times as a normal user) $HOME/.guix-profile points to a nonexistent
>>> file/directory, and where it points to
>>> (/var/lib/guix/profiles/per-user/root/guix-profile) simply doesn't
>>> exist.
>
> The profile is created automatically the first time “guix package -i” is
> run.  This happens reliably for me on Fedora, CentOS, and on GuixSD.  If
> this doesn’t happen Gentoo I suspect the Gentoo package to be defective
> (e.g. setting invalid permissions on certain directories).

As far as I know what I did on my personal testing VM was:
emerge guix; <autorize hydra, start daemon>; guix pull (as user); guix
package -i hello

I can confirm once I have time to log into the VM again, state has not
been altered. Like I wrote offlist, for me in an vanilla x86_64 VM it
worked. I'll debug this at some point with the info I got offlist, if
debugging is needed at Gentoo side.

>>> I've
>>> even tried to track down where a profile might exist within /gnu/store, but
>>> "ls /gnu/store/*profile*" responds with:
>
> This is not important.  Anything Guix creates will be in the store.
> This includes all profile generations.
>
> I suggest installing Guix using the official binary package.  See this
> page for the tarballs and the install instructions:
>
>     https://www.gnu.org/software/guix/download/
>
>
> ~~ Ricardo
>

The guix package in gentoo is my attempt to create something which works
well in the Gentoo structure of doing things. But of course it is
currently masked for being experimental.. anyone using Gentoo should
know that there might be risks attached. Actually I should drop
'guix-binary' as I don't work on that version of the package anymore,
this is just from the source.